=== debian/changelog ===
dde-tray-loader (0.0.10) unstable; urgency=medium

  * fix: the text color is incorrect(Issue: 10106)

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 13 Aug 2024 20:45:53 +0800

dde-tray-loader (0.0.9) unstable; urgency=medium

  * fix: Fixed the right-click display settings cannot jump to the control center (#136)(Issue: 10336)
  * fix: Remove the Airplane Mode setting option from the Control Center (#137)(Issue: 10335)
  * fix: tooltip content cannot update(Issue: 10361)

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 13 Aug 2024 16:00:51 +0800

dde-tray-loader (0.0.8) unstable; urgency=medium

  * bump version to 0.0.8

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 12 Aug 2024 17:30:11 +0800

dde-tray-loader (0.0.7) unstable; urgency=medium

  * fix:  clicking quickItem plugin with the left mouse button donot work(Influence: left mouse clicking quickItem)
  * fix: The DBus service name has been modified(Issue: 10018)
  * fix: When modifying the VPN, the wireless network icon does not display(Issue: 10195)
  * fix: Modify network non automatic reconnection issue(Issue: 10184)
  * fix: Translation issue not installed when modifying user acquisition error(Issue: 10018)
  * fix: quickpanel show empty if click tray's item(Issue: 10229)
  * chore: removing print too many logs(Influence: none)
  * fix: app crashed cannot generate coredump file(Influence: app crashed has coredump file)

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 08 Aug 2024 15:08:41 +0800

dde-tray-loader (0.0.6) unstable; urgency=medium

  * fix: adjust tooltip display(Issue: 10043)
  * fix: Cursor instantly move to left side(Issue: 9987)
  * fix: date text color does not change with theme(Issue: 10104)
  * fix: bluetooth devices list width(Issue: 9981)
  * fix: Menu display incomplete(Issue: 9721 9729)
  * fix: Popup position cannot be refreshed with dock(Issue: 10096)
  * fix: Error in modifying IP address display(Issue: 10073)
  * fix: update dde-dock plugins translate(Issue: 10123 10012)
  * fix: Modify the issue of dock plugin crashing when double clicking(Issue: 10118 10067)
  * fix: at high PixelRatio, the datetime display is too large
  * fix: subMenu can't show
  * fix: The margin issue of Tooltip(Issue: 10005 9997)

 -- Zhang kun <zhangkun2@uniontech.com>  Tue, 06 Aug 2024 15:41:06 +0800

dde-tray-loader (0.0.5) unstable; urgency=medium

  * fix: onboard plugin is not installed(Issue: 9820)
  * fix: ToolTip is positioned to the left(Issue: 9953)
  * fix: update taskbar plug-in translation (#88)(Issue: 9893)
  * description: Power switching mode adds performance mode switching(Issue: 9893)
  * fix: Fixed dnd-mode settings cannot jump to the Control Center(Issue: 9988)
  * feat: request isActive state for quickpanel(Issue: 10020)
  * fix: right button also emits clicked for quickpanel(Issue: 9960)
  * chore: refactor the dateTime plugin display code (#93)(Influence: datetime plugin display)
  * fix: dateTime panel popup date and 12hour format display does not match the settings (#96)(Influence: datetime plugin display)
  * fix: removing jump to dcc's airplane mode(Issue: 9990)(Influence: bluetooth can not jump to dcc's airplane mode)
  * fix: Fixed  the power performance mode initialization dnot get init value (#99)(Issue: 10019)

 -- zyz <zhaoyingzhen@uniontech.com>  Wed, 31 Jul 2024 14:07:12 +0800

dde-tray-loader (0.0.4) unstable; urgency=medium

  * fix: network view size cannot respond to content changes in a timely manner(Issue: 9881)(Influence: network view size)
  * fix: Update translation file path(Issue: 9956)
  * fix: datetime plugin set 24-hour format do not work(Issue: 9717, 9857)(Influence: datetime plugin display)

 -- zyz <zhaoyingzhen@uniontech.com>  Thu, 25 Jul 2024 16:23:30 +0800

dde-tray-loader (0.0.3) unstable; urgency=medium

  * feat: plugin item can set content margin (#65)(Influence: plugin item display)
  * chore: update the eye comfort mode icon(Issue: 9875)
  * fix: EyeComfortMode plugin can switch theme type (#69)(Issue: 9691)(Influence: can switch themme type)
  * fix: Fixed the issue that setting custom time format in taskbar does not take effect(Issue: 9724)
  * fix: Added trayplugin-loader translation(Issue: 9754, 9685)
  * fix: Modifying proxy icon does not display issue(Issue: 9888)
  * fix: applicatin-tray coredump while open wechat and wework(issue: 9918)
  * fix: Hide Airplane mode settings in popup applet(Issue: 9884)

 -- zyz <zhaoyingzhen@uniontech.com>  Wed, 24 Jul 2024 14:31:44 +0800

dde-tray-loader (0.0.2) unstable; urgency=medium

  * fix: datetime plugin in DCC dosn't have icon
  * fix: Responding to proxy change signals (#58)

 -- Yingzhen zhao <zhaoyingzhen@uniontech.com>  Fri, 19 Jul 2024 17:32:20 +0800

dde-tray-loader (0.0.1) unstable; urgency=medium

  * chore: add dde-dock.pc
  * FIX 1070 errors
  * fix: compile errors
  * fix: solve the problem of failed compilation
  * chore: add plugins and loader
  * chore: add the README

 -- Wang Fei <wangfei@deepin.org>  Wed, 26 Jun 2024 11:33:24 +0800

dde-tray-loader (0.0.0) unstable; urgency=medium

  * 0.0.0

 -- Wang Fei <wangfei@deepin.org>  Tue, 25 Jun 2024 16:53:15 +0800
