=== debian/control ===
Source: dde-tray-loader
Section: unknown
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper-compat ( =12),
 pkg-config,
 cmake,
 extra-cmake-modules,
 qt5-qmake,
 libxcb-image0-dev,
 libxcb-composite0-dev,
 libxcb-ewmh-dev,
 libxtst-dev,
 libxcb-xtest0-dev,
 libxcb-res0-dev,
 libxcb-util-dev,
 qttools5-dev-tools,
 qtbase5-private-dev,
 libxcb-icccm4-dev,
 libqt5x11extras5-dev,
 libxcb-damage0-dev,
 libqt5svg5-dev,
 libdtkwidget-dev (>=5.4.19),
 libdtkcore-dev (>=5.4.14),
 libdtkcore5-bin (>=5.4.14),
 libdtkgui-dev (>=5.4.13),
 libdframeworkdbus-dev (>=6.0.1),
 libgsettings-qt-dev,
 libdbusmenu-qt5-dev,
 libgtest-dev,
 libgmock-dev,
 qttools5-dev,
 libxcursor-dev,
 dde-api-dev (>>5.6.3),
 libkf5networkmanagerqt-dev (>=5.103.0-1deepin2),
 libkf5wayland-dev,
 libqt5waylandclient5-dev,
 qtwayland5-dev-tools,
 qtwayland5-private-dev
Standards-Version: 3.9.8
Homepage: http://www.deepin.org/

Package: dde-tray-loader
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 deepin-desktop-schemas (>=5.9.14),
 libdtkwidget5 (>=5.4.19),
 libdtkcore5 (>=5.4.14),
 libdtkgui5 (>=5.4.13),
 libdframeworkdbus2 (>=6.0.1),
 dde-qt5xcb-plugin (>=5.0.25),
 dde-daemon (>=5.13.12),
 startdde (>=5.8.9),
 lastore-daemon (>=5.2.9),
 qtxdg-dev-tools,
 deepin-service-plugin-network,
 dde-api-dbus-proxy-v1 (>=1.0.10)
Conflicts:
 dde-dock,
 dde-dock-onboard-plugin
Replaces:
 dde-dock,
 dde-dock-onboard-plugin
Description: deepin desktop-environment - the plugins of tray for dde-dock
 Tray plugins module

Package: dde-tray-loader-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts:
 dde-dock-dev
Replaces:
 dde-dock-dev
Provides:
 dde-dock-dev (=6.1.0)
Description: deepin desktop-environment - tray plugins module development files
 Tray plugins module development files of deepin desktop-environment

Package: deepin-service-plugin-network
Architecture: any
Depends: ${misc:Depends},${shlibs:Depends},curl
Description: the plugin of network service for deepin-service-manager
 deepin-service-plugin-network module
