## dde-tray-loader 1.0.5

=== debian/changelog ===
dde-tray-loader (1.0.5) unstable; urgency=medium

  * feat: Allow plugins sending close quick panel requests
  * fix: plugin popup/tooltip pos not correct

 -- Wu Haotian <wuhaotian@uniontech.com>  Fri, 01 Nov 2024 10:10:08 +0800

dde-tray-loader (1.0.4) unstable; urgency=medium

  * fix: Datetime plugin display problem

 -- xionglinlin <xionglinlin@uniontech.com>  Thu, 24 Oct 2024 10:23:21 +0800

dde-tray-loader (1.0.3) unstable; urgency=medium

  * fix: right-click menu icon adapts to dark theme
  * fix: no "Open Calendar" button in non-Chinese environments
  * fix: wrong time format

 -- xionglinlin <xionglinlin@uniontech.com>  Wed, 16 Oct 2024 16:46:24 +0800

dde-tray-loader (1.0.2) unstable; urgency=medium

  * fix: the calendar plugin is abnormal when the calendar app does not exist

 -- xionglinlin <xionglinlin@uniontech.com>  Wed, 25 Sep 2024 16:41:33 +0800

dde-tray-loader (1.0.1) unstable; urgency=medium

  * fix: Music icon is too small in quick panel on High scale ratio screen
    fix: tooltip style is inconsistent

 -- Yutao Meng <mengyutao@deepin.org>  Wed, 04 Sep 2024 17:43:39 +0800

dde-tray-loader (1.0.0) unstable; urgency=medium

  * Fix incomplete display of Bluetooth plug-in prompts
    (linuxdeepin/developer-center#10479)
  * Fix crash on TreeLand
  * Update translation from Transifex

 -- Wang Zichong <wangzichong@deepin.org>  Mon, 02 Sep 2024 16:22:00 +0800

dde-tray-loader (0.0.12) unstable; urgency=medium

  * fix: Updated ordering of performance modes for power supplies (#151)(Issue: 10112)
  * fix: ap label font color not incorrect(Issue: 10460)
  * fix: Synchronized network translation(Issue: 10066)
  * fix: sni protocol item has no icon (#154)(Issue: 10144)
  * fix: plugin item menu does not have the option 'remove from dock'(Issue: 10359)
  * fix: tooltip margin and tooltip disappears abnormally(Issue: 10478)

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 29 Aug 2024 10:14:21 +0800

dde-tray-loader (0.0.11) unstable; urgency=medium

  * fix: adding tray icon blocks app launch(Issue: 10439)
  * feat: add destroy protocol(Issue: 10121)

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 21 Aug 2024 17:02:04 +0800
